Loading...
Searching...
No Matches
RegisterDescriptor.h File Reference
`#include "Property.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::Descriptors

## Macros

#define | REGISTER_DESCRIPTOR(NAME, FUNC)

## Macro Definition Documentation

## REGISTER_DESCRIPTOR

#define REGISTER_DESCRIPTOR | ( |  | NAME,
|  |  | FUNC )

Value:
Properties::registerProperty(new PropertyFunctor( \
#NAME, NAME##Version, \
[](const ROMol &m) { return static_cast<double>(FUNC(m)); }));

Definition at line 63 of file RegisterDescriptor.h.